Skip to main content
GET
/
agents
/
{agent_id}
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
agent = client.agents.retrieve(
    "agent_id",
)
print(agent.id)
{
  "object": "agent",
  "id": "<string>",
  "name": "<string>",
  "emoji": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "knowledge_ids": [
    "<string>"
  ],
  "corpus": [
    {
      "type": "knowledge",
      "knowledge_id": "<string>"
    }
  ],
  "system_prompt": "<string>",
  "custom_prompt": "<string>",
  "planning_prompt": "<string>",
  "agent_model": "magpie-2.0",
  "llm_model": "gemini-2.5-flash",
  "tools": [
    {
      "name": "<string>",
      "connection_id": "<string>"
    }
  ],
  "mcp_servers": [
    {
      "object": "agent_mcp_server",
      "server_id": "<string>",
      "name": "<string>",
      "base_url": "<string>",
      "status": "<string>",
      "credential_id": "<string>",
      "tool_count": 123,
      "last_synced_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required

The ID of the agent to retrieve

Response

Agent details

object
enum<string>
required

The object type, always 'agent'

Available options:
agent
id
string
required

Unique identifier for the agent

name
string
required

The name of the agent

emoji
string | null
required

The emoji of the agent

description
string | null
required

The description of the agent

created_at
string<date-time>
required

The ISO string for when the agent was created

knowledge_ids
string[] | null
required
deprecated

Deprecated, use corpus instead. Array of Knowledge IDs the agent should use during the converse. When omitted, all knowledge is used.

corpus
object[] | null
required

Array of corpus items the agent should use during the converse. When omitted, all knowledge is used.

system_prompt
string | null
required

Directs your AI Agent's operational behavior.

custom_prompt
string | null
required

Use custom prompt to instruct the style and formatting of the agent's response

planning_prompt
string | null
required

Define the planning strategy your AI Agent should use when breaking down tasks and solving problems

agent_model
default:magpie-2.0
required

The agent model determines the processing mode for Converse requests. Each model maps to one of three modes available in the Datagrid UI:

Agentic mode (full tool use, planning, and multi-step reasoning):

  • magpie-2.0 — Default. Agentic model with proactive planning and reasoning.
  • magpie-2.5 — Beta. Our latest agentic model — faster, more adaptable, and built to handle a broader range of real-world tasks.
  • magpie-1.1 — Previous-generation agentic model.

Ask mode (lightweight, single-turn Q&A):

  • magpie-1.1-flash — Fast model optimized for RAG use cases. Only supports the semantic_search tool. A 400 error will be returned if other tools are specified. Structured outputs are not supported.

Fastest mode (direct LLM response, no tool execution):

  • llm-only — Runs a direct LLM conversation with no planning or tool calls. A 400 error will be returned if tools are specified. Structured outputs are not supported.

Can also accept any custom string value for future model versions.

Available options:
magpie-1.1,
magpie-1.1-flash,
magpie-2.0,
magpie-2.5,
llm-only
llm_model
default:gemini-2.5-flash
required

The LLM used to generate responses.

Available options:
gemini-3-pro-preview,
gemini-3.1-pro-preview,
gemini-3-flash-preview,
gemini-2.5-pro,
gemini-2.5-pro-preview-05-06,
gemini-2.5-flash,
gemini-2.5-flash-preview-04-17,
gemini-2.5-flash-native-audio-preview-12-2025,
gemini-2.5-flash-lite,
gpt-5,
gpt-5.1,
gemini-2.0-flash-001,
gemini-2.0-flash,
gemini-1.5-pro-001,
gemini-1.5-pro-002,
gemini-1.5-flash-002,
gemini-1.5-flash-001,
chatgpt-4o-latest,
gpt-4o,
gpt-4,
gpt-4-turbo,
gpt-4o-mini
tools
object[]
required

Tools that this agent can use.

mcp_servers
object[]
required

Registered MCP servers enabled for this agent.